Bug 815587 - Missing gzip_stream.h in protobuf-devel in EPEL, fixed in Fedora
Missing gzip_stream.h in protobuf-devel in EPEL, fixed in Fedora
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: protobuf (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 21:33 EDT by Alex Chernyakhovsky
Modified: 2014-12-06 12:10 EST (History)
3 users (show)

See Also:
Fixed In Version: protobuf-2.3.0-8.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-06 12:09:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add zlib-devel to BuildRequires (1.43 KB, patch)
2013-10-02 18:44 EDT, Ian Burrell
no flags Details | Diff

  None (edit)
Description Alex Chernyakhovsky 2012-04-23 21:33:46 EDT
Description of problem:
gzip_stream.h is missing in protobuf-devel. This was fixed in Fedora in bug 732087, but as far as I can tell, this change has not made it into EPEL. This is currently preventing me from packaging the mosh 1.2 release candidate for EPEL 5 and 6.

Version-Release number of selected component (if applicable):
2.3.0-7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 BJ Dierkes 2012-10-18 15:51:25 EDT
Will be in next update:

[derks@derks-vm protobuf]$ rpm -qlp protobuf-devel-2.3.0-8.el5.centos.x86_64.rpm  | grep gzip
/usr/include/google/protobuf/io/gzip_stream.h
Comment 2 BJ Dierkes 2012-10-18 15:54:08 EDT
Oops... I'm not maintainer anymore... forgot that.  Re-assigning.
Comment 3 BJ Dierkes 2012-10-18 15:55:16 EDT
Peter, just need to add zlib-devel to BuildRequires per BZ #732087 and rebuild.
Comment 4 Ian Burrell 2013-10-02 18:44:00 EDT
Created attachment 806774 [details]
Patch to add zlib-devel to BuildRequires

Would it be possible to get protobuf rebuilt on el5 and el6 with BuildRequires on zlib-devel added?
Comment 5 Fedora Update System 2014-11-17 07:55:52 EST
protobuf-2.3.0-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/protobuf-2.3.0-8.el5
Comment 6 Fedora Update System 2014-11-17 07:55:58 EST
protobuf-2.3.0-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/protobuf-2.3.0-8.el6
Comment 7 Fedora Update System 2014-11-18 03:10:24 EST
Package protobuf-2.3.0-8.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing protobuf-2.3.0-8.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4114/protobuf-2.3.0-8.el6
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-12-06 12:09:23 EST
protobuf-2.3.0-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-12-06 12:10:36 EST
protobuf-2.3.0-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.